Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.ebusiness
Class RecipientRole

    java.lang.Object
      |
      +--com.compoze.ebusiness.RecipientRole

All Implemented Interfaces:
  java.io.Serializable

public class RecipientRole
extends java.lang.Object
implements java.io.Serializable

This class represents the role of a recipient in an event. The role of the recipient informs the recipient of their involvement in the event

See Also:
  `Recipient`, Serialized Form

Field Summary
`static RecipientRole` | `CHAIR` This value represents a 'chair' recipient role and indicates chair of the entity.
`static RecipientRole` | `NON` This value represents a 'non' recipient role and indicates a recipient is included for informational purposes.
`static RecipientRole` | `OPTIONAL` This value represents an 'optional' recipient role and indicates a recipients' participation is optional.
`static RecipientRole` | `REQUIRED` This value represents a 'required' recipient role and indicates a recipients' participation is required.
`static java.util.List` | `s_values` An array containing all of the fixed recipient roles.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static RecipientRole` | `get(java.lang.String sStoreValue)` Gets the recipient role by its store value.
`static java.util.List` | `getList()` Gets the list of recipient roles.
`java.lang.String` | `getName()` Gets the name of the recipient role using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the recipient role using the specified locale.
`java.lang.String` | `getStoreValue()` Gets the value that's used to store the recipient role in the storage system.
`static void` | `main(java.lang.String[] args)` Returns a string representation of the object.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### s_values

    public static java.util.List s_values

  An array containing all of the fixed recipient roles.

### CHAIR

    public static final RecipientRole CHAIR

  This value represents a 'chair' recipient role and indicates chair of the entity.

### REQUIRED

    public static final RecipientRole REQUIRED

  This value represents a 'required' recipient role and indicates a recipients' participation is required.

### OPTIONAL

    public static final RecipientRole OPTIONAL

  This value represents an 'optional' recipient role and indicates a recipients' participation is optional.

### NON

    public static final RecipientRole NON

  This value represents a 'non' recipient role and indicates a recipient is included for informational purposes.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the recipient role using the system default locale.
  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the recipient role using the specified locale.
  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public java.lang.String getStoreValue()

  Gets the value that's used to store the recipient role in the storage system.
  Returns:
    the store value

### get

    public static RecipientRole get(java.lang.String sStoreValue)

  Gets the recipient role by its store value.
  Parameters:
    `sStoreValue` - the store value to get by (may not be `null`)
  Returns:
    the matching recipient role or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of recipient roles.
  Returns:
    the list of `RecipientRole`s (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality, so that the language the name is represented in is not important.
  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `o` - the object to check (may not be `null`)
  Returns:
    `true` if this object has the same store value as the specified role; `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.
  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.
  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

### main

    public static void main(java.lang.String[] args)

  Returns a string representation of the object.
  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.